window._site.forumUser = "";
$(document).ready( function () {
	window._site.comments( $('div.content div.comments'), [{"id":"3398","username":"DeFKnoL","comment":"<p>This method does not work properly if the DataTable is set to deferred rendering (<code>\"deferRender\": true<\/code>). It may seem that is does at first, but as soon as you start skipping pages back and forth, the indexes will be all wrong. However, I found a workaround for that case:<\/p>\n\n<ol class=\"markdown\">\n<li>Changed the event to <a href=\"\/\/datatables.net\/reference\/event\/draw.dt\"><code class=\"event\" title=\"DataTables event\">draw.dt<\/code><\/a><\/li>\n<li>Limited the nodes to just those on the page instead of all nodes<\/li>\n<li>Used an offset of the page info starting point for the index. <\/li>\n<\/ol>\n\n<p>It has worked for me through sorts, searches, and page length changes.\nHere is my solution:<\/p>\n\n<pre><code class=\"multiline language-js\">$(document).ready(function() {\n    var t = $('#example').DataTable( {\n        \"columnDefs\": [ {\n            \"searchable\": false,\n            \"orderable\": false,\n            \"targets\": 0\n        } ],\n        \"order\": [[ 1, 'asc' ]]\n    } );\n                \n    t.on( 'draw.dt', function () {\n    var PageInfo = $('#example').DataTable().page.info();\n         t.column(0, { page: 'current' }).nodes().each( function (cell, i) {\n            cell.innerHTML = i + 1 + PageInfo.start;\n        } );\n    } );\n} );\n<\/code><\/pre>\n","created":"12:59, Mon 28th May 2018","parent":null,"version":"1.10.16","children":[]},{"id":"4081","username":"DigitalFusion","comment":"<p>In order to get this work with Button's export (print\/pdf\/csv) :<\/p>\n\n<pre><code class=\"multiline language-js\">t.on('order.dt search.dt', function () {\n     t.column(0, {search:'applied', order:'applied'}).nodes().each( function (cell, i) {\n           cell.innerHTML = i+1;\n           t.cell(cell).invalidate('dom');\n     });\n}).draw();\n<\/code><\/pre>\n\n<p>Credit To <a href=\"https:\/\/datatables.net\/forums\/discussion\/32978\/how-to-export-index-column-using-datatable-tabletool-plugin\">JazMango<\/a><\/p>\n","created":"09:23, Sat 29th Jun 2019","parent":null,"version":"1.10.19","children":[]},{"id":"4703","username":"andyscratch","comment":"<p>First Add class .number to the column you want to number. eg <code>&lt;td class=\"number\"&gt;&lt;\/td&gt;<\/code>. Note that #example is the original table.<\/p>\n\n<pre><code class=\"multiline language-js\">$(\"#example\").on('draw.dt', function(){\n    let n = 0;\n    $(\".number\").each(function () {\n            $(this).html(++n);\n        })\n})\n<\/code><\/pre>\n","created":"10:28, Thu 17th Sep 2020","parent":null,"version":"1.10.21","children":[]}] );
} );window._site.page = "examples\/api\/counter_columns.html";

$(document).ready( function () {
	window._site.dynamicLoaded();
} );

window._site.csrfToken = '69d6d8f3caf14fc4632b377f909c596c176d8f7bde5292b6';


function dtAds() {
	var loaded = false;
	var headerAd = true;

	if (window.ethicalads) {
		ethicalads.wait.then(function (placements) {
			if (headerAd) {
				$('div.fw-header').addClass('ad');
			}

			if (! placements.length) {
				$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
			}
		});
	}
	else {
		$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
	}

	var run = function () {
		if (! loaded && $(window).width() >= 860) {
			if (window.ethicalads) {
				ethicalads.load();
				loaded = true;
			}
		}
	}

	if ($('div.page-nav').length && $('div.page-nav').is(':visible')) {
		$('div.nav-ad').children()
			.attr('id', 'ad-fixed-nav')
			.prependTo('div.page-nav');
		headerAd = false;
	}
	else if ($('div.fw-sidebar').length) {
		$('div.nav-ad').children()
			.attr('id', 'ad-forum-nav')
			.prependTo('div.fw-sidebar div.sidebar');
		headerAd = false;
		return; // disable
	}
	else {
		$('div.nav-ad').children()
			.attr('id', 'ad-header');
	}

	$(window).on('resize', function (){
		run();
	});

	// Will run immediately if already loaded
	$(document).ready(function() {
		run();
	});
}


